<?php

//////////////////////////////////////////
// Set the content width based on the theme's design and stylesheet.
if ( ! isset( $content_width ) )
	$content_width = 550;

//////////////////////////////////////////
// Set Widgets
function birdtips_widgets_init() {

	if ( function_exists('register_sidebar') ){

		register_sidebar( array (
			'name' => __('Widget Area for left sidebar', 'birdtips'),
			'id' => 'widget-area-left',
		'description' => __('Widget Area for left sidebar', 'birdtips'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h3>',
			'after_title' => '</h3>',
			) );

		register_sidebar( array (
			'name' => __('Widget Area for right sidebar', 'birdtips'),
			'id' => 'widget-area-right',
			'description' => __('Widget Area for right sidebar', 'birdtips'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h3>',
			'after_title' => '</h3>',
			) );
	}
}
add_action( 'widgets_init', 'birdtips_widgets_init' );  

//////////////////////////////////////////
// SinglePage Comment callback
function birdtips_custom_comments( $comment, $args, $depth ) {

	$GLOBALS['comment'] = $comment;

?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">

	<?php if('pingback' == $comment->comment_type || 'trackback' == $comment->comment_type):
		$birstips_url    = get_comment_author_url();
		$birstips_author = get_comment_author();
	 ?> 

		<div class="posted"><strong><?php _e( 'Pingback', 'birdtips' ); ?> : </strong><a href="<?php echo $birstips_url; ?>" target="_blank"><?php echo $birstips_author ?></a><?php edit_comment_link( __('(Edit)', 'birdtips'), ' ' ); ?></div>

	<?php else: ?>

		<div class="comment_meta">
			<?php echo get_avatar( $comment, 40 ); ?>
			<span class="author"><?php comment_author(); ?></span>
			<span class="time"><?php echo get_comment_time(get_option('date_format') .' ' .get_option('time_format')); ?></span>
			<span class="reply"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></span>
		</div>
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em><?php _e( 'Your comment is awaiting moderation.', 'birdtips' ); ?></em><br>
		<?php endif; ?>

		<div class="comment_text">
			<?php comment_text(); ?>

			<?php $birdtips_web = get_comment_author_url(); ?>
			<?php if(!empty($birdtips_web)): ?>
				<p class="web"><a href="<?php echo $birdtips_web; ?>" target="_blank"><?php echo $birdtips_web; ?></a></p>
			<?php endif; ?>
		</div>

	<?php endif; ?>
<?php
	// no "</li>" conform WORDPRESS
}

//////////////////////////////////////////////////////
// Pagenation
function birdtips_the_pagenation() {

	global $wp_rewrite;
	global $wp_query;
	global $paged;

	$birdtips_paginate_base = get_pagenum_link(1);
	if (strpos($birdtips_paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
		$birdtips_paginate_format = '';
		$birdtips_paginate_base = add_query_arg('paged', '%#%');
	} else {
		$birdtips_paginate_format = (substr($birdtips_paginate_base, -1 ,1) == '/' ? '' : '/') .
		user_trailingslashit('page/%#%/', 'paged');;
		$birdtips_paginate_base .= '%_%';
	}
	echo paginate_links( array(
		'base' => $birdtips_paginate_base,
		'format' => $birdtips_paginate_format,
		'total' => $wp_query->max_num_pages,
		'mid_size' => 3,
		'current' => ($paged ? $paged : 1),
	));
}

//////////////////////////////////////////
// Archive PageTitle
function birdtips_the_archivetitle() {

	if(is_category()) {
		printf(__('Category Archives: %s', 'birdtips'), single_cat_title('', false));
	}
	elseif( is_tag() ) {
		printf(__('Tag Archives: %s', 'birdtips'), single_tag_title('', false) );
	}
	elseif (is_day()) {
		printf(__('Daily Archives: %s', 'birdtips'), get_post_time(get_option('date_format')));
	}
	elseif (is_month()) {
		printf(__('Monthly Archives: %s', 'birdtips'), get_post_time(__('F, Y', 'birdtips')));
	}
	elseif (is_year()) {
		printf(__('Yearly Archives: %s', 'birdtips'), get_post_time(__('Y', 'birdtips')));
	}
	elseif (is_author()) {
		printf(__('Author Archives: %s', 'birdtips'), get_the_author_meta('display_name', get_query_var('author')) );
	}
	elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
		_e('Blog Archives', 'birdtips');
	}
}

//////////////////////////////////////////////////////
// Date
function birdtips_the_date() {

	$birdtips_html = '';
	$birdtips_posted = date(__('M. j, Y', 'birdtips'),  strtotime(get_the_time("Y-m-d")));
	$birdtips_date = explode(' ', $birdtips_posted);
	foreach($birdtips_date as $birdtips_d){
		$birdtips_html .= '<span>' .$birdtips_d .'</span>';
	}

	echo $birdtips_html;
}

//////////////////////////////////////////////////////
// Header Style
function birdtips_header_style() {

?>

<style type="text/css">

<?php
	//Theme Option
	$text_color = get_theme_mod( 'birdtips_text_color', '#555');
	$link_color = get_theme_mod( 'birdtips_link_color', '#06A');
	$article_title_color = get_theme_mod( 'birdtips_article_title_color', '#dd6633');
	$navigation_color = get_theme_mod( 'birdtips_navigation_color', '#CCC');

	if ( 'blank' == get_header_textcolor() ) { ?>
		#header #branding {
			position: absolute !important;
			clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
			clip: rect(1px, 1px, 1px, 1px);
			}   
	<?php } else { ?>
		#header h1 a,
		#header #site-title a,
		#header p {
			color: #<?php header_textcolor();?>;
			}
		<?php } ?>

	body,
	.archive #content ul li a,
	.search #content ul li a,
	.error404 #content ul li a,
	#menu-wrapper .menu ul li ul li a,
	.widget ul li,
	.widget ul li a {
		color: <?php echo $text_color; ?>;
	}

	a,
	#content .hentry.sticky .entry-header .entry-title a,
	#content .tablenav a.page-numbers.prev,
	#content .tablenav a.page-numbers.next,
	#content .hentry .page-link {
		color: <?php echo $link_color; ?>;
	}

	#content .hentry.sticky .entry-header .postdate,
	#content .tablenav .current,
	#content .hentry .page-link span,
	.widget #wp-calendar tbody td a {
		background: <?php echo $link_color; ?>;
	}

	#content a,
	#content a:hover,
	#content .hentry .page-link span,
	#content .tablenav .current {
		border-color: <?php echo $link_color; ?>;
	}

	#content .hentry .entry-header .entry-title,
	#content .hentry .entry-header .entry-title a,
	#content #comments li.bypostauthor .comment_meta .author {
		color: <?php echo $article_title_color; ?>;
	}

	#content .hentry .entry-header .postdate,
	#footer {
		background: <?php echo $article_title_color; ?>;
	}

	#menu-wrapper .menu ul li a {
		color: <?php echo $navigation_color; ?>;
		border-left-color: <?php echo $navigation_color; ?>;
	}


	@media screen and (max-width: 650px) {
		#menu-wrapper .menu ul#menu-primary-items > li > a {
			color: <?php echo $text_color; ?>;
		}

		#content .hentry .entry-header .postdate {
			color: <?php echo $article_title_color; ?>;
		}

		#content .hentry.sticky .entry-header .postdate {
			color: <?php echo $link_color; ?>;
		}

	}

</style>

<?php 

}

//////////////////////////////////////////////////////
// Admin Header Style
function birdtips_admin_header_style() {
?>

<style type="text/css">

	#birdtips_header {
		font-family: 'Lato', Verdana,Arial,"CI",Meiryo,"qMmpSPro W3","Hiragino Kaku Gothic Pro","lr oSVbN",sans-serif;
		position: relative;
	    height: 200px;
		}

	#birdtips_header.no-image {
		position: static;
		height: auto;
		}

	#birdtips_header img {
		width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
		height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
		}

	#birdtips_header #branding {
		position: absolute;
		left: 75px;
		top: 0;
		width: 90%;
		}

	#birdtips_header.no-image #branding {
		position: static;
		margin-left: 75px;
		}

	#birdtips_header #site-title {
		margin: 0;
		padding: 0.8em 0 0 0;
		color: #<?php header_textcolor();?>;
		font-size: 220%;
		line-height: 1;
		}

	#birdtips_header #site-title a {
		color: #<?php header_textcolor();?>;
	    font-weight: bold;
	    text-decoration: none;
		}

	#birdtips_header #site-description {
		color: #<?php header_textcolor();?>;
		}

</style>

<?php

} 

//////////////////////////////////////////////////////
// Admin Header Image
function birdtips_admin_header_image() {

	$header_image = get_header_image();
	$birdtips_image_tag = '';
	if ( empty( $header_image ) ){
		$birdtips_image_tag = ' class="no-image"'; 
	}

?>
	<div id="birdtips_header"<?php echo $birdtips_image_tag; ?>>

<?php
	$header_image = get_header_image();
	if ( ! empty( $header_image ) ) : ?>

		<img src="<?php echo esc_url( $header_image ); ?>" alt="" />

	<?php endif; ?>

		<div id="branding">

<?php
	$style = '';
	if ( 'blank' == get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) || '' == get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) ){
		$style = ' style="display:none;"';
	}
?>
			<div id="site-title"><a <?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></div>
			<div id="site-description" <?php echo $style; ?>><?php bloginfo( 'description' ); ?></div>

		</div>
	</div>
	<?php
}

//////////////////////////////////////////////////////
// Setup Theme
function birdtips_setup() {

	// Set languages
	load_theme_textdomain( 'birdtips', get_template_directory() . '/languages' );

	// This theme styles the visual editor with editor-style.css to match the theme style.
	add_editor_style();

	// Set feed
	add_theme_support( 'automatic-feed-links' );

	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );

	/* This theme supports custom background color and image, and here
	 * we also set up the default background color.
	 */
	add_theme_support( 'custom-background', array(
		'default-color' => 'e6e6e6',
	) );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'birdtips' ),
	) );

	// Add support for custom headers.
	$custom_header_support = array(
		'width' => apply_filters( 'birdtips_header_image_width', 1075 ),
		'height' => apply_filters( 'birdtips_header_image_height', 200 ),
		'default-image'          => '%s/images/headers/green.jpg',
		'default-text-color'     => 'CCC',
		'wp-head-callback' => 'birdtips_header_style',
		'admin-head-callback' => 'birdtips_admin_header_style',
		'admin-preview-callback' => 'birdtips_admin_header_image'
	);

	add_theme_support( 'custom-header', $custom_header_support );

	register_default_headers( array(
		'green' => array(
			'url' => '%s/images/headers/green.jpg',
			'thumbnail_url' => '%s/images/headers/green-thumbnail.jpg',
			'description' => 'Green'
		),
		'blue' => array(
			'url' => '%s/images/headers/blue.jpg',
			'thumbnail_url' => '%s/images/headers/blue-thumbnail.jpg',
			'description' => 'Blue'
		),
		'yellow' => array(
			'url' => '%s/images/headers/yellow.jpg',
			'thumbnail_url' => '%s/images/headers/yellow-thumbnail.jpg',
			'description' => 'Yellow'
		),
		'red' => array(
			'url' => '%s/images/headers/red.jpg',
			'thumbnail_url' => '%s/images/headers/red-thumbnail.jpg',
			'description' => 'Red'
		),
		'white' => array(
			'url' => '%s/images/headers/white.jpg',
			'thumbnail_url' => '%s/images/headers/white-thumbnail.jpg',
			'description' => 'White'
		),
		'orange' => array(
			'url' => '%s/images/headers/orange.jpg',
			'thumbnail_url' => '%s/images/headers/orange-thumbnail.jpg',
			'description' => 'Orange'
		),
		'pink' => array(
			'url' => '%s/images/headers/pink.jpg',
			'thumbnail_url' => '%s/images/headers/pink-thumbnail.jpg',
			'description' => 'Pink'
		),
		'purple' => array(
			'url' => '%s/images/headers/purple.jpg',
			'thumbnail_url' => '%s/images/headers/purple-thumbnail.jpg',
			'description' => 'Purple'
		),
	) );
}
add_action( 'after_setup_theme', 'birdtips_setup' );  

//////////////////////////////////////////////////////
// Document Title
function birdtips_title( $title ) {
	global $page, $paged;

	$title .= get_bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );

	if ( $site_description && ( is_home() || is_front_page() ) )
		$title .= " | $site_description";

	if ( $paged >= 2 || $page >= 2 )
		$title .= ' | ' . sprintf( __( 'Page %s', 'birdtips' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'birdtips_title' );

//////////////////////////////////////////////////////
// Enqueue Acripts
function birdtips_scripts() {

	if ( is_singular() && comments_open() && get_option('thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	wp_enqueue_script('jquery');  
	wp_enqueue_script( 'birdtips', get_template_directory_uri() .'/js/birdtips.js', 'jquery', '1.06' );
	wp_enqueue_style( 'birdfield-google-font', '//fonts.googleapis.com/css?family=Lato', false, null, 'all' );
	wp_enqueue_style( 'birdtips', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'birdtips_scripts' );

//////////////////////////////////////////////////////
// Enqueue Scripts for admin
function birdtips_admin_scripts( $hook_suffix ) {

	if ( 'appearance_page_custom-header' != $hook_suffix )
		return;

	wp_enqueue_style( 'birdfield-google-font', '//fonts.googleapis.com/css?family=Lato', false, null, 'all' );
}
add_action( 'admin_enqueue_scripts', 'birdtips_admin_scripts' );

//////////////////////////////////////////////////////
// Excerpt More
function birdtips_excerpt_more() { 
	global $post;

	return ' <a href="'. esc_url( get_permalink() ) . '" class="more-link">' . __( 'Continue reading', 'birdtips') .'</a>';

}  
add_filter('excerpt_more', 'birdtips_excerpt_more'); 

//////////////////////////////////////////////////////
// Theme Customizer
function birdtips_customize($wp_customize) {

	$wp_customize->add_section( 'birdtips_customize', array(
		'title'=> __( 'Theme Options', 'birdtips' ),
		'priority' => 999,
	) );

	// Text Color
	$wp_customize->add_setting( 'birdtips_text_color', array(
		'default' => '#555',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'birdtips_text_color', array(
		'label' => __( 'Text Color', 'birdtips' ),
		'section'=> 'birdtips_customize',
		'settings' => 'birdtips_text_color',
	) ) );

	// Link Color
	$wp_customize->add_setting( 'birdtips_link_color', array(
		'default' => '#06A',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'birdtips_link_color', array(
		'label' => __( 'Link Color', 'birdtips' ),
		'section'=> 'birdtips_customize',
		'settings' => 'birdtips_link_color',
	) ) );

	// Aticle Titler Color
	$wp_customize->add_setting( 'birdtips_article_title_color', array(
		'default' => '#dd6633',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'birdtips_article_title_color', array(
		'label' => __( 'Article Title Color', 'birdtips' ),
		'section'=> 'birdtips_customize',
		'settings' => 'birdtips_article_title_color',
	) ) );

	// Navigation Text Color
	$wp_customize->add_setting( 'birdtips_navigation_color', array(
		'default' => '#CCC',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'birdtips_navigation_color', array(
		'label' => __( 'Navigation Text Color', 'birdtips' ),
		'section'=> 'birdtips_customize',
		'settings' => 'birdtips_navigation_color',
	) ) );
}
add_action('customize_register', 'birdtips_customize');
